% author: kaneda
% grafic practica 7
% titol: camp B en funcio del radi

\documentclass{standalone}

% Required package
\usepackage{pgfplots}
\usepackage{pgfplotstable}
\pgfplotsset{compat = newest}

\begin{document}

\begin{tikzpicture}
\begin{axis}[
    xmin = 15, xmax = 35,
    ymin = 0.025, ymax = 0.09,
    width = \textwidth,
    height = \textwidth,
    xtick distance = 3,
    ytick distance = 0.01,
    minor tick num = 2,
    xlabel = {\large Radi$^{-1}$ (cm$^{-1}$)},
    ylabel = {\large $B$ (mT)},
    legend cell align = {left},
    legend pos = north west
]

% Plot data
\addplot[
    teal,
    only marks,
    mark size = 0.5mm,
    error bars,
    x dir=both,
    y dir=both,
    x explicit,
    y explicit,
] table[x={Invr}, y={b}, y error={ub}, x error={ur}] {dades.dat};

% Linear regression
\addplot[
    thick,
    orange
] table[
    x = {Invr},
    y = {create col/linear regression={y=b}}
] {dades.dat};

% Add legend
\addlegendentry{Mesures}
\addlegendentry{
    Regressió lineal
};

\end{axis}
\end{tikzpicture}

\end{document}
